%define soname 0

Name:           nordlicht
Version:        %{soname}.4.4
Release:        5.1
License:        GPL-2.0+
Summary:        Creates colorful barcodes from video files
Url:            https://nordlicht.github.io
Group:          Productivity/Multimedia/Editors and Convertors
Source0:        https://github.com/nordlicht/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  help2man
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  popt-devel

ExcludeArch:    %arm

%description
C library for converting video files into colorful
barcodes. It is inspired by the Moviebarcode Tumblr, but
aims at the next logical step: Integrating these barcodes
into video players to make navigation faster and more
precise.

This package provides a command line tool, which you can
use to generate your own barcodes easily.

%package -n lib%{name}%{soname}
Summary:        Creates colorful barcodes from video files
Group:          System/Libraries

%description -n lib%{name}%{soname}
C library for converting video files into colorful
barcodes. It is inspired by the Moviebarcode Tumblr, but
aims at the next logical step: Integrating these barcodes
into video players to make navigation faster and more
precise.

%package devel
Summary:        Development files for nordlicht
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} >= %{version}
Provides:       pkgconfig(nordlicht)

%description devel
This package contains all necessary include files and
libraries needed to compile and develop applications that
use nordlicht.

%prep
%setup -q

%build
cmake . \
    -DCMAKE_C_FLAGS:STRING="%{optflags}" \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DLIB_INSTALL_DIR:PATH=%{_libdir}
make %{?_smp_mflags}

%install
%make_install

%post -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/%{name}.1%{ext_man}
%{_bindir}/%{name}

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{version}

%files devel
%defattr(-,root,root)
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.so.%{soname}
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h

%changelog
* Sat Oct  8 2016 joerg.lorenzen@ki.tng.de
- Removed service file because build often fails with 'bad temdir'
  and only sometimes succeeds.
* Mon Jan 25 2016 sebastian@morr.cc
- Bump to v0.4.4
* Sat Jan  2 2016 sebastian@morr.cc
- Bump to v0.4.2
* Sat Jan  2 2016 sebastian@morr.cc
- Bump package to version 0.4.0, which drops the libpng dependency and
  integrates Olaf's improvements to FFmpeg detection
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Thu Nov 20 2014 guillaume@opensuse.org
- Do not build for %%arm (build hangs)
* Thu Mar 20 2014 sebastian@morr.cc
- Bump package to version 0.3.5
* Sat Mar 15 2014 sebastian@morr.cc
- Update to version 0.3.4, which removes exit() calls from the library
- add pkgbuild-Requires to nordlicht-devel
* Mon Mar  3 2014 sebastian@morr.cc
- Initial package of upstream version 0.3.3
